• Welcome to Simple Machines Community Forum. Please login or sign up.
December 07, 2021, 02:47:38 PM

News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord


SMF 1.1 Release Candidate 3 is available!

Started by Thantos, August 19, 2006, 04:12:52 PM

Previous topic - Next topic

Remaker

Remaker - My blog - Actualitate.net

bjp

Can we have some informations about

Security Update
We received a report detailing a bug in PHP (improper deletion of hash values in the zend_hash_del_key_or_index() function), causing a vulnerability in SMF. We have addressed this issue in this release.  We urge everyone who is using an earlier release of SMF 1.1 to update immediately.


And the way to be protect for the people who will have to wait before upgrading (language probleme). Thank you.


URPG

Now i finally got UTF-8 support :)

Just need to sit and wait for SMF-SEO to be developed and next TP release to be compatible and available too...   :'(

Enc0der

Quote from: Thantos on August 19, 2006, 04:12:52 PM
In particular, UTF8 support has been added to SMF, providing considerably better language support to our international users.

OMG NO !! :(
I hope you doesn't "force" us to switch to UTF-8.. this is really, really sucks when the template does NOT built in UTF8..
My current template is ISO-8859-8-I, if the entire database will be converted to UTF8, it will not work!

Is it only "UTF-8 support", or a complete change to a UTF-8 system ? Can I still NOT USE UTF-8 ?

I have a huge board (1,720,900 posts, 25,833 members) and can't afford to "backup and try"..
Thanks...

www.B2B.in.th

Thai Lang: สุดยอดมากครับ ยอดเยี่ยมมาก ผมใช้อยู่ครับ :-*
:: http://b2b.in.th/board/ [nofollow] :: http://sisaket.net [nofollow] ::
[nofollow]

Harzem

Quote from: Enc0der on August 22, 2006, 03:51:58 AM
OMG NO !! :(
I hope you doesn't "force" us to switch to UTF-8.. this is really, really sucks when the template does NOT built in UTF8..
My current template is ISO-8859-8-I, if the entire database will be converted to UTF8, it will not work!

Is it only "UTF-8 support", or a complete change to a UTF-8 system ? Can I still NOT USE UTF-8 ?

I have a huge board (1,720,900 posts, 25,833 members) and can't afford to "backup and try"..
Thanks...

You have an option to use UTF-8 ;)

gamesmad

Yay, RC3 :)  Glad its out, installing it now.  I love SMF :-*

Will
1 on 1 SMF Help - Want 1 on 1 SMF Help? Post in Help Wanted or drop me a message!

Go Charter! - Please consider becoming a charter member to support SMF development.

Please do not PM me with general questions, posting in the appropriate board will ensure everyone benefits from the advice given.

J. Williams

Magnificent work, I'll upgrade my forum today :D. Glad to see there's improvements
Joshua Jon Williams
Back in Action.

navjotjsingh

After the update(used update file from 1.1RC2 to 1.1RC3..there is no option to install mods(I uninstalled all mods before update) against many listed mods except few..do we have to wait for the mod authors to update their mod?

EVEN TinyPortal 0.8.6 cannot be installed..there is no install option now for it also in 1.1.RC3!

Harzem


MasterChief

First of all I dont know how to upsate or upgrade.. I am a bit new in this field.. So tell me please how to do that... And i won't be installing/upgrading/updating untill final version... Is the problem with mods real??? TNX.

P.S. HarzeM DilberMC is the best theme....... I use it!! TNX

MasterChief

And one thing more. i tried to update to RC3 in the same way i install the mods.. And it says package is corrunted or invalid.... Probably i must install the other way.. tell me tnx

Puc conDoin

Quote from: MasterChief on August 22, 2006, 04:51:22 AM
First of all I dont know how to upsate or upgrade.. I am a bit new in this field.. So tell me please how to do that... And i won't be installing/upgrading/updating untill final version... Is the problem with mods real??? TNX.

P.S. HarzeM DilberMC is the best theme....... I use it!! TNX

Take a look here: http://docs.simplemachines.org/index.php?board=3.0;sort=subject

nermeen_elhelw

please if someone upgraded

can you post the link to your smf rc 1.3, i wanna c it in action

IamV

I upgraded one forum so far & it went smooth for the most part.  Except for the first time ever the automatic delete of the upgrade/install file did not work.

Not a big deal, but thought I'd let you know.

aghahamidgol

hamid kazemi

fx33

August 22, 2006, 05:35:55 AM #57 Last Edit: August 22, 2006, 05:44:21 AM by fx33
QuoteFatal error: set_time_limit() [<a href='function.set-time-limit'>function.set-time-limit</a>]: Cannot set time limit in safe mode in /xxx/xxxx/xxxx/xxxx/upgrade.php on line 1502

What's the problem ? Help !


QuoteUpgrading...
Updating Settings.php... Successful.
Backing up old table data...
   Backing up "moderators"... done.
   Backing up "package_servers"... done.
   Backing up "permissions"... done.
   Backing up "personal_messages"... done.
   Backing up "pm_recipients"... done.
   Backing up "poll_choices"... done.
   Backing up "polls"... done.
   Backing up "sessions"... done.
   Backing up "settings"... done.
   Backing up "smileys"... done.
   Backing up "themes"... done.
   Backing up "topics"... done.
Successful.
Updating and creating indexes...
    Updating indexes on "messages"... done.
    Updating table indexes... done.
    Reordering boards and categories... done.
    Updating indexes and data on "smileys"... done.
    Updating indexes on "log_boards"... done.
    Updating indexes on "log_mark_read"... done.
    Updating indexes on "themes"... done.
Successful.
Reorganizing configuration settings...
    Updating data in "settings"... done.
    Adding new settings... done.

Fatal error: set_time_limit() [<a href='function.set-time-limit'>function.set-time-limit</a>]: Cannot set time limit in safe mode in /xxx/xxxx/xxxx/xxxx/upgrade.php on line 1502

nermeen_elhelw

do RC2 themes work on RC3?????
i mean if i have mods and themes installed to my smf rc2 board, will they be lost, or wouldnt they work?

Aaron


Advertisement: